﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using flowerpot.Web;

namespace flowerpot.Views
{
    public partial class AddNewEspecie : ChildWindow
    {
        public AddNewEspecie()
        {
            InitializeComponent();
        }

        private void OKButton_Click(object sender, RoutedEventArgs e)
        {
            if (((Especie)chldMainContainer.DataContext).HasValidationErrors)
            {
                MessageBox.Show("Revise los errores de validación.", "Flowerpot", MessageBoxButton.OK);

            }
            else
            {
                this.DialogResult = true;
            }
        }

        private void CancelButton_Click(object sender, RoutedEventArgs e)
        {
            this.DialogResult = false;
        }

        private void ChildWindow_Loaded(object sender, RoutedEventArgs e)
        {
            nombreTextBox.Focus();
        }

        private void ChildWindow_KeyDown(object sender, KeyEventArgs e)
        {
            if (e.Key == Key.Escape)
            {
                CancelButton_Click(sender, new RoutedEventArgs());
            }
            
        }
    }
}

