﻿using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using flowerpot.Web;

namespace flowerpot.Views
{
    public partial class AddUsuario : ChildWindow
    {
        public AddUsuario()
        {
            InitializeComponent();
        }

        private void OKButton_Click(object sender, RoutedEventArgs e)
        {
            if (((Usuario)chldMainContainer.DataContext).HasValidationErrors)
            {
                MessageBox.Show("Revise los errores de validación", "Flowerpot", MessageBoxButton.OK);

            }
            else
            {
                this.DialogResult = true;
            }
        }

        private void CancelButton_Click(object sender, RoutedEventArgs e)
        {
            this.DialogResult = false;
        }

        private void ChildWindow_Loaded(object sender, RoutedEventArgs e)
        {
            lblAdministrador.Visibility = Autenticado.Administrador ? System.Windows.Visibility.Visible : System.Windows.Visibility.Collapsed;
            administradorCheckBox.Visibility = Autenticado.Administrador ? System.Windows.Visibility.Visible : System.Windows.Visibility.Collapsed;
            nameTextBox.Focus();
        }

        private void ChildWindow_KeyDown(object sender, KeyEventArgs e)
        {
            if (e.Key == Key.Escape)
            {
                CancelButton_Click(sender, new RoutedEventArgs());
            }

        }

        private void nameTextBox_LostFocus(object sender, RoutedEventArgs e)
        {
            BindingExpression bexpress = nameTextBox.GetBindingExpression(TextBox.TextProperty);
            bexpress.UpdateSource();
        }



    }
}

