﻿using System;
using System.Collections.Generic;
using System.Linq;
using flowerpot.Web;
using System.ComponentModel.DataAnnotations;

#if SILVERLIGHT
using System.ServiceModel.DomainServices.Client;
#endif

namespace flowerpot.Web.Services
{

    public static class UserValidator
    {
        public static ValidationResult AsyncValidateUser(string userName, ValidationContext valContext)
        {
            ValidationResult error = new ValidationResult("El Nombre especificado ya existe", new string[] { valContext.MemberName });
            //Code For Client Side silverlight project
#if SILVERLIGHT
flowerpotDomainContext context = new flowerpotDomainContext();
InvokeOperation<bool> IsExist = context.IsUserExist(userName);
IsExist.Completed += (s, e) =>
{
if (!IsExist.HasError && IsExist.Value)
{
Entity entity = (Entity)valContext.ObjectInstance;
entity.ValidationErrors.Add(error);
}
};
#endif
            return ValidationResult.Success;
        }
    }

}